<?xml version="1.0" encoding="windows-1252"?>
<!DOCTYPE faces-config PUBLIC
  "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.1//EN"
  "http://java.sun.com/dtd/web-facesconfig_1_1.dtd">
<!-- $Id: faces-config.xml,v 1.12 2006/04/06 12:19:04 steve Exp $ -->
<faces-config xmlns="http://java.sun.com/JSF/Configuration">
  <application>
    <default-render-kit-id>oracle.adf.core</default-render-kit-id>
    <message-bundle>oracle.srdemo.view.resources.UIResources</message-bundle>
    <locale-config>
      <default-locale>en</default-locale>
      <supported-locale>it</supported-locale>
    </locale-config>
  </application>
  <lifecycle>
  <!-- Use a custom PhaseListener that extends the default ADFPhaseListener in 
       order to inject a custom error handler 
       See oracle.srdemo.view.frameworkExt.* -->      
    <phase-listener>oracle.srdemo.view.frameworkExt.SRDemoADFPhaseListener</phase-listener>
    <!--phase-listener>oracle.adf.controller.faces.lifecycle.ADFPhaseListener</phase-listener-->    
  </lifecycle>
  <!-- The managed bean used to provide access to String resources
       to other managed beans for example menu labels -->
  <managed-bean>
    <managed-bean-name>resources</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.resources.ResourceAdapter</managed-bean-class>
    <managed-bean-scope>application</managed-bean-scope>
  </managed-bean>
  <!-- The managed bean used to hold security information -->
  <managed-bean>
    <managed-bean-name>userInfo</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.UserInfo</managed-bean-class>
    <managed-bean-scope>session</managed-bean-scope>
  </managed-bean>
  <!-- Managed Bean used to hold user state -->
  <managed-bean>
    <managed-bean-name>userState</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.UserSystemState</managed-bean-class>
    <managed-bean-scope>session</managed-bean-scope>
  </managed-bean>
  <!-- Managed beans used to create the menu structure -->
  <!-- Sub-menu (Menu2 facet) for the Management pages -->
  <managed-bean>
    <managed-bean-name>subMenuItem_Manage_Reporting</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.MenuItem</managed-bean-class>
    <managed-bean-scope>session</managed-bean-scope>
    <managed-property>
      <property-name>label</property-name>
      <value>#{resources['srdemo.menu.manage.reporting']}</value>
    </managed-property>
    <managed-property>
      <property-name>shown</property-name>
      <value>#{userInfo.manager}</value>
    </managed-property>
    <managed-property>
      <property-name>viewId</property-name>
      <value>/app/management/SRManage.jspx</value>
    </managed-property>
    <managed-property>
      <property-name>outcome</property-name>
      <value>GlobalManage</value>
    </managed-property>
  </managed-bean>
  <managed-bean>
    <managed-bean-name>subMenuItem_Manage_ProdEx</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.MenuItem</managed-bean-class>
    <managed-bean-scope>session</managed-bean-scope>
    <managed-property>
      <property-name>label</property-name>
      <value>#{resources['srdemo.menu.manage.prodEx']}</value>
    </managed-property>
    <managed-property>
      <property-name>shown</property-name>
      <value>#{userInfo.manager}</value>
    </managed-property>
    <managed-property>
      <property-name>viewId</property-name>
      <value>/app/management/SRSkills.jspx</value>
    </managed-property>
    <managed-property>
      <property-name>outcome</property-name>
      <value>Skills</value>
    </managed-property>
  </managed-bean>
  <!-- Main Tabs Menu (Menu1 facet) -->
  <managed-bean>
    <managed-bean-name>menuItem_MyServiceRequests</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.MenuItem</managed-bean-class>
    <managed-bean-scope>session</managed-bean-scope>
    <managed-property>
      <property-name>label</property-name>
      <value>#{resources['srdemo.menu.my']}</value>
    </managed-property>
    <managed-property>
      <property-name>viewId</property-name>
      <value>/app/SRList.jspx</value>
    </managed-property>
    <managed-property>
      <property-name>outcome</property-name>
      <value>GlobalHome</value>
    </managed-property>
  </managed-bean>
  <managed-bean>
    <managed-bean-name>menuItem_AdvancedSearch</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.MenuItem</managed-bean-class>
    <managed-bean-scope>session</managed-bean-scope>
    <managed-property>
      <property-name>label</property-name>
      <value>#{resources['srdemo.menu.advanced']}</value>
    </managed-property>
    <managed-property>
      <property-name>shown</property-name>
      <value>#{userInfo.staff}</value>
    </managed-property>
    <managed-property>
      <property-name>viewId</property-name>
      <value>/app/staff/SRSearch.jspx</value>
    </managed-property>
    <managed-property>
      <property-name>outcome</property-name>
      <value>GlobalSearch</value>
    </managed-property>
  </managed-bean>
  <managed-bean>
    <managed-bean-name>menuItem_New</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.MenuItem</managed-bean-class>
    <managed-bean-scope>session</managed-bean-scope>
    <managed-property>
      <property-name>label</property-name>
      <value>#{resources['srdemo.menu.new']}</value>
    </managed-property>
    <managed-property>
      <property-name>viewId</property-name>
      <value>/app/SRCreate.jspx</value>
    </managed-property>
    <managed-property>
      <property-name>outcome</property-name>
      <value>GlobalCreate</value>
    </managed-property>
  </managed-bean>
  <managed-bean>
    <managed-bean-name>menuItem_Manage</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.MenuItem</managed-bean-class>
    <managed-bean-scope>session</managed-bean-scope>
    <managed-property>
      <property-name>label</property-name>
      <value>#{resources['srdemo.menu.manage']}</value>
    </managed-property>
    <managed-property>
      <property-name>shown</property-name>
      <value>#{userInfo.manager}</value>
    </managed-property>
    <managed-property>
      <property-name>viewId</property-name>
      <value>/app/management/SRManage.jspx</value>
    </managed-property>
    <managed-property>
      <property-name>outcome</property-name>
      <value>GlobalManage</value>
    </managed-property>
    <managed-property>
      <property-name>children</property-name>
      <list-entries>
        <value-class>oracle.srdemo.view.menu.MenuItem</value-class>
        <value>#{subMenuItem_Manage_Reporting}</value>
        <!--value>#{subMenuItem_Manage_Assign}</value-->
        <value>#{subMenuItem_Manage_ProdEx}</value>
      </list-entries>
    </managed-property>
  </managed-bean>
  <!-- create the main menu treemodel -->
  <managed-bean>
    <managed-bean-name>menuTreeModel</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.MenuTreeModelAdapter</managed-bean-class>
    <managed-bean-scope>session</managed-bean-scope>
    <managed-property>
      <property-name>childProperty</property-name>
      <value>children</value>
    </managed-property>
    <managed-property>
      <property-name>listInstance</property-name>
      <list-entries>
        <value-class>oracle.srdemo.view.menu.MenuItem</value-class>
        <value>#{menuItem_MyServiceRequests}</value>
        <value>#{menuItem_AdvancedSearch}</value>
        <value>#{menuItem_New}</value>
        <value>#{menuItem_Manage}</value>
      </list-entries>
    </managed-property>
  </managed-bean>
  <!-- create the main menu menuModel -->
  <managed-bean>
    <managed-bean-name>menuModel</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.MenuModelAdapter</managed-bean-class>
    <managed-bean-scope>session</managed-bean-scope>
    <managed-property>
      <property-name>viewIdProperty</property-name>
      <value>viewId</value>
    </managed-property>
    <managed-property>
      <property-name>instance</property-name>
      <value>#{menuTreeModel.model}</value>
    </managed-property>
  </managed-bean>
  <!-- The managed beans that define the train nodes for the create pages -->
  <!--1 First Node in the train -->
  <managed-bean>
    <managed-bean-name>createTrain_Step1</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.MenuItem</managed-bean-class>
    <managed-bean-scope>application</managed-bean-scope>
    <managed-property>
      <property-name>label</property-name>
      <value>#{resources['srcreate.train.step1']}</value>
    </managed-property>
    <managed-property>
      <property-name>viewId</property-name>
      <value>/app/SRCreate.jspx</value>
    </managed-property>
    <managed-property>
      <property-name>outcome</property-name>
      <value>GlobalCreate</value>
    </managed-property>
  </managed-bean>
  <!--2. Second node in the train -->
  <managed-bean>
    <managed-bean-name>createTrain_Step2</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.MenuItem</managed-bean-class>
    <managed-bean-scope>application</managed-bean-scope>
    <managed-property>
      <property-name>label</property-name>
      <value>#{resources['srcreate.train.step2']}</value>
    </managed-property>
    <managed-property>
      <property-name>viewId</property-name>
      <value>/app/SRCreateConfirm.jspx</value>
    </managed-property>
    <managed-property>
      <property-name>outcome</property-name>
      <value>Continue</value>
    </managed-property>
  </managed-bean>
  <!--3. create the list to pass to the train model -->
  <managed-bean>
    <managed-bean-name>createTrainNodes</managed-bean-name>
    <managed-bean-class>java.util.ArrayList</managed-bean-class>
    <managed-bean-scope>application</managed-bean-scope>
    <list-entries>
      <value-class>oracle.srdemo.view.menu.MenuItem</value-class>
      <value>#{createTrain_Step1}</value>
      <value>#{createTrain_Step2}</value>
    </list-entries>
  </managed-bean>
  <!--4. create the train menu model -->
  <managed-bean>
    <managed-bean-name>createTrainMenuModel</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.menu.TrainModelAdapter</managed-bean-class>
    <managed-bean-scope>application</managed-bean-scope>
    <managed-property>
      <property-name>viewIdProperty</property-name>
      <value>viewId</value>
    </managed-property>
    <managed-property>
      <property-name>instance</property-name>
      <value>#{createTrainNodes}</value>
    </managed-property>
  </managed-bean>
  <!-- Navigation Rules -->
  <!-- Global Rules -->
  <navigation-rule>
    <from-view-id>*</from-view-id>
    <navigation-case>
      <from-outcome>GlobalHome</from-outcome>
      <to-view-id>/app/SRList.jspx</to-view-id>
    </navigation-case>
    <navigation-case>
      <from-outcome>GlobalSearch</from-outcome>
      <to-view-id>/app/staff/SRSearch.jspx</to-view-id>
      <redirect/>
    </navigation-case>
    <navigation-case>
      <from-outcome>GlobalManage</from-outcome>
      <to-view-id>/app/management/SRManage.jspx</to-view-id>
      <redirect/>
    </navigation-case>
    <navigation-case>
      <from-outcome>GlobalLogout</from-outcome>
      <to-view-id>/app/SRLogout.jspx</to-view-id>
      <redirect/>
    </navigation-case>
    <navigation-case>
      <from-outcome>GlobalCreate</from-outcome>
      <to-view-id>/app/SRCreate.jspx</to-view-id>
    </navigation-case>
    <navigation-case>
      <from-outcome>GlobalAbout</from-outcome>
      <to-view-id>/app/SRAbout.jspx</to-view-id>
    </navigation-case>
    <navigation-case>
      <from-outcome>GlobalHelp</from-outcome>
      <to-view-id>/app/SRHelp.jspx</to-view-id>
    </navigation-case>
  </navigation-rule>
  <!-- Page Specific Rules -->
  <navigation-rule>
    <from-view-id>/app/SRWelcome.jspx</from-view-id>
    <navigation-case>
      <from-outcome>Start</from-outcome>
      <to-view-id>/app/SRList.jspx</to-view-id>
    </navigation-case>
  </navigation-rule>
  <!-- Page backing Beans -->
  <managed-bean>
    <managed-bean-name>backing_SRLogout</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.backing.SRLogout</managed-bean-class>
    <managed-bean-scope>request</managed-bean-scope>
  </managed-bean>
  <navigation-rule>
    <from-view-id>/app/SRCreate.jspx</from-view-id>
    <navigation-case>
      <from-outcome>Continue</from-outcome>
      <to-view-id>/app/SRCreateConfirm.jspx</to-view-id>
    </navigation-case>
    <navigation-case>
      <from-outcome>dialog:FAQ</from-outcome>
      <to-view-id>/app/SRFaq.jspx</to-view-id>
    </navigation-case>
  </navigation-rule>
  <navigation-rule>
    <from-view-id>/app/SRCreateConfirm.jspx</from-view-id>
    <navigation-case>
      <from-outcome>Back</from-outcome>
      <to-view-id>/app/SRCreate.jspx</to-view-id>
    </navigation-case>
    <navigation-case>
      <from-outcome>Complete</from-outcome>
      <to-view-id>/app/SRCreateDone.jspx</to-view-id>
    </navigation-case>
  </navigation-rule>
  <managed-bean>
    <managed-bean-name>backing_SRCreateConfirm</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.backing.SRCreateConfirm</managed-bean-class>
    <managed-bean-scope>request</managed-bean-scope>
    <managed-property>
      <property-name>bindings</property-name>
      <value>#{bindings}</value>
    </managed-property>
  </managed-bean>
  <navigation-rule>
    <from-view-id>/app/staff/SREdit.jspx</from-view-id>
    <navigation-case>
      <from-outcome>dialog:StaffSearch</from-outcome>
      <to-view-id>/app/staff/SRStaffSearch.jspx</to-view-id>
    </navigation-case>
    <navigation-case>
      <from-outcome>Main</from-outcome>
      <to-view-id>/app/SRMain.jspx</to-view-id>
    </navigation-case>
  </navigation-rule>
  <navigation-rule>
    <from-view-id>/app/SRList.jspx</from-view-id>
    <navigation-case>
      <from-outcome>Edit</from-outcome>
      <to-view-id>/app/staff/SREdit.jspx</to-view-id>
      <redirect/>
    </navigation-case>
    <navigation-case>
      <from-outcome>View</from-outcome>
      <to-view-id>/app/SRMain.jspx</to-view-id>
    </navigation-case>
  </navigation-rule>
  <managed-bean>
    <managed-bean-name>backing_SRMain</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.backing.SRMain</managed-bean-class>
    <managed-bean-scope>request</managed-bean-scope>
    <managed-property>
      <property-name>bindings</property-name>
      <value>#{bindings}</value>
    </managed-property>
  </managed-bean>
  <navigation-rule>
    <from-view-id>/app/SRMain.jspx</from-view-id>
    <navigation-case>
      <from-outcome>Edit</from-outcome>
      <to-view-id>/app/staff/SREdit.jspx</to-view-id>
    </navigation-case>
    <navigation-case>
      <from-outcome>dialog:FILEUPLOAD</from-outcome>
      <to-view-id>/app/SRFileUpload.jspx</to-view-id>
    </navigation-case>
  </navigation-rule>
  <navigation-rule>
    <from-view-id>/app/staff/SRSearch.jspx</from-view-id>
    <navigation-case>
      <from-outcome>View</from-outcome>
      <to-view-id>/app/SRMain.jspx</to-view-id>
    </navigation-case>
    <navigation-case>
      <from-outcome>Edit</from-outcome>
      <to-view-id>/app/staff/SREdit.jspx</to-view-id>
    </navigation-case>
  </navigation-rule>
  <managed-bean>
    <managed-bean-name>backing_SRManage</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.backing.SRManage</managed-bean-class>
    <managed-bean-scope>request</managed-bean-scope>
    <managed-property>
      <property-name>treeLevel</property-name>
      <map-entries>
        <key-class>java.lang.String</key-class>
        <value-class>java.lang.String</value-class>
        <map-entry>
          <key>oracle.srdemo.model.queries.StaffWithOpenRequests</key>
          <value>StaffNode</value>
        </map-entry>
        <map-entry>
          <key>oracle.srdemo.model.queries.OpenOrPendingServiceRequests</key>
          <value>ServiceRequestsNode</value>
        </map-entry>
      </map-entries>
    </managed-property>
  </managed-bean>
  <managed-bean>
    <managed-bean-name>backing_SRFileUpload</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.backing.SRFileUpload</managed-bean-class>
    <managed-bean-scope>request</managed-bean-scope>
  </managed-bean>
  <managed-bean>
    <managed-bean-name>backing_SRSkills</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.backing.SRSkills</managed-bean-class>
    <managed-bean-scope>request</managed-bean-scope>
    <managed-property>
      <property-name>allItemsIteratorName</property-name>
      <value>ProductListIterator</value>
    </managed-property>
    <managed-property>
      <property-name>allItemsValueAttrName</property-name>
      <value>ProdId</value>
    </managed-property>
    <managed-property>
      <property-name>allItemsDisplayAttrName</property-name>
      <value>Name</value>
    </managed-property>
    <managed-property>
      <property-name>allItemsDescriptionAttrName</property-name>
      <value>Description</value>
    </managed-property>
    <managed-property>
      <property-name>selectedValuesIteratorName</property-name>
      <value>StaffExpertiseAreasIterator</value>
    </managed-property>
    <managed-property>
      <property-name>selectedValuesValueAttrName</property-name>
      <value>ProdId</value>
    </managed-property>
      
  </managed-bean>
  <navigation-rule>
    <from-view-id>/app/management/SRManage.jspx</from-view-id>
    <navigation-case>
      <from-outcome>Skills</from-outcome>
      <to-view-id>/app/management/SRSkills.jspx</to-view-id>
    </navigation-case>
  </navigation-rule>
  <managed-bean>
    <managed-bean-name>backing_SREdit</managed-bean-name>
    <managed-bean-class>oracle.srdemo.view.backing.SREdit</managed-bean-class>
    <managed-bean-scope>request</managed-bean-scope>
  </managed-bean>
</faces-config>
